読者です 読者をやめる 読者になる 読者になる

Gblog

おもにTips

Can't locate strict.pm

perl のことはよくわかりません。

Can't locate strict.pm in @INC ...

なるエラーが発生しました。

どうやら、strict.pm が見つけられないようです。

で、locate コマンドでみると /usr/lib/perl5/5.8.8 にありました。

$ locate strict.pm
/usr/lib/perl5/5.8.8/strict.pm

 で PERL5LIB なる環境変数をセットしてあげたところ見つけることができるようになったようです。

export PERL5LIB=/usr/lib/perl5/5.8.8